Package org.apache.synapse.commons.evaluators

## Class OrEvaluator

- java.lang.Object
- - org.apache.synapse.commons.evaluators.OrEvaluator

- All Implemented Interfaces:
    `Evaluator`

      public class OrEvaluator
      extends Object
      implements Evaluator

  This encapsulates two or more boolean expressions. This acts as the "or" boolean operator. It executes all the boolean expressions and apply the boolean OR operator and return the result of this boolean operation.

       <or>
           two or more evaluators
       </or>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OrEvaluator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `evaluate​(EvaluatorContext context)` | Evaluate a boolean expression
    `Evaluator[]` | `getEvaluators()` |
    `String` | `getName()` | Name of the evaluator
    `void` | `setEvaluators​(Evaluator[] evaluators)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrEvaluator

          public OrEvaluator()

  - ### Method Detail

    - #### evaluate

          public boolean evaluate​(EvaluatorContext context)
                           throws EvaluatorException

      Description copied from interface: `Evaluator`
      Evaluate a boolean expression
      Specified by:
        `evaluate` in interface `Evaluator`
      Parameters:
        `context` - hold the information about the HTTP request
      Returns:
        result of evaluating the boolean expression
      Throws:
        `EvaluatorException` - if an error occurs while evaluating the HTTP request

    - #### getName

          public String getName()

      Description copied from interface: `Evaluator`
      Name of the evaluator
      Specified by:
        `getName` in interface `Evaluator`
      Returns:
        name of the evaluator

    - #### setEvaluators

          public void setEvaluators​(Evaluator[] evaluators)

    - #### getEvaluators

          public Evaluator[] getEvaluators()